// create remote client (Client.java)

import java.net.*;
import java.rmi.*;
import java.io.*;

public class Client {
  Distributor server;

  public static final void main(String[] args) {
    Client runJob = new Client();
    System.out.println("connected");
    runJob.process();
    }

  public Client() {

    try {
      //System.setSecurityManager(new RMISecurityManager());
      server = (Distributor)Naming.lookup("rmi://127.0.0.1:2000/distributor");
      }
    catch(Exception e) {
      System.out.println("Failed to find distributor" + e.getMessage());
      }
    }

  public void process() {

    try {
      Job myJob = server.getNewJob(new Message("Richiesta Job!"));
      myJob.process();
      }
    catch (Exception e) {
      System.out.println("Failed to receive job " + e.getMessage());
      }
    }
  }

